package com.huimv.manager.controller;

import com.huimv.manager.service.IImageService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@RestController
@RequestMapping("/image")
public class ImageController {
    @Autowired
    private IImageService imageService;

    @RequestMapping(value="/getLastImageAiResult",method = RequestMethod.GET)
    public String getLastImageAiResult(){
        //
        return imageService.getLastImage();
    }

    @RequestMapping(value="/getNextImageAiResult",method = RequestMethod.GET)
    public String getNextImageAiResult(){
        //
        return imageService.getNextImage();
    }
}
