package com.huimv.process.dao.repo;

import com.huimv.process.dao.entity.ImagePathEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

public interface ImagePathRepo extends JpaRepository<ImagePathEntity, Integer>, JpaSpecificationExecutor<ImagePathEntity> {
    @Query(nativeQuery = true, value = "SELECT * FROM image_path ORDER BY create_time DESC LIMIT 1")
    ImagePathEntity getLastImage();

    @Query(nativeQuery = true, value = "SELECT * FROM image_path")
    ImagePathEntity getNextImage();
}